magic.bsc [WU1]contains a set of tools to compute various climate indices

**Why should I use it?**

The package contains a set of tools to compute metrics and indices for climate analysis. The package provides functions to compute extreme indices, evaluate the agreement between models and combine these models into an ensemble. Multi-model time series of climate indices can be computed either after averaging the fields from different models on a common grid or by combining time series computed on the models native grid. Indices can be assigned weights and/or combined to construct new indices. 
 
**How do I use it?**

The main functionalities are presented in four different vignettes with step-by-step examples:

- [Multi-model agreement] (https://earth.bsc.es/gitlab/nperez/magic.bsc/blob/master/vignettes/multimodel/anomaly_agreement.md): computes a projected climate anomaly and provides the percentage of models which agree on the sign of that anomaly.
- [Risk Indices] (https://earth.bsc.es/gitlab/nperez/magic.bsc/blob/master/vignettes/risk/risk_index.md): computes different extreme indices and combines these indices to evaluate how extreme events are projected to change in a future climate
- [Heat and Cold Wave Duration] (https://earth.bsc.es/gitlab/nperez/magic.bsc/blob/master/vignettes/wave/heatcoldwaves.md): computes change in heat wave frequency between present and future conditions.
- [Diurnal temperature variation indicator] (https://earth.bsc.es/gitlab/nperez/magic.bsc/blob/master/vignettes/DTR/diurnaltemp.md): comparer the future projection of diurnal temperature variations with a reference period. 

**How do I get it?**

To install and load the package you must run the next lines in your R session:

```r
install.packages("magic.bsc[WU2]")
library(magic.bsc[WU3])
```
[WU1]Need updating.
[WU2]update
[WU3]update
