library(startR)
esa_v2 <-
'/esarchive/obs/esa/esa_v2.0-25km/daily_mean/$var$/$var$_$dates$.nc'

Data_ESA2 <- Start(source = esa_v2,
                   var = 'siconc-nh',
                  # dates = 'all',
                  # dates = '200701', #fails: non-existing physical address
                   dates = c('201701', '201702', '201703'),
                   time = 'all',
                  # lat = 'all',
                   lat = indices(1:5),
                  # lon = 'all',
                   lon = indices(1:6),
                   synonims = list(lon = c('x', 'lon'),
                                   lat = c('y','lat'), 
                                   time = c('TIME', 'time')),
                   retrieve = TRUE)
dim(Data_ESA2)
attributes(Data_ESA2)$Variables$common[[1]]$dim[[3]]$vals
# Data_ESA2[1,1,,1:5,1,1]
     [,1] [,2] [,3] [,4] [,5]
[1,]    0    0    0    0    0
[2,]    0    0    0    0    0
[3,]    0    0    0    0    0
> Data_ESA2[1,1,,,1,1]
     [,1] [,2] [,3] [,4] [,5] [,6] [,7] [,8] [,9] [,10] [,11] [,12] [,13] [,14]
[1,]    0    0    0    0    0    0    0    0    0     0     0     0     0     0
[2,]    0    0    0    0    0    0    0    0    0     0     0     0     0     0
[3,]    0    0    0    0    0    0    0    0    0     0     0     0     0     0
     [,15] [,16] [,17] [,18] [,19] [,20] [,21] [,22] [,23] [,24] [,25] [,26]
[1,]     0     0     0     0     0     0     0     0     0     0     0     0
[2,]     0     0     0     0     0     0     0     0     0     0     0     0
[3,]     0     0     0     0     0     0     0     0     0     0     0     0
     [,27] [,28] [,29] [,30] [,31]
[1,]     0     0     0     0     0
[2,]     0     0    NA    NA    NA
[3,]     0     0     0     0     0

data <- Data_ESA2
data <- aperm (data, c(1,2,4,3,5,6))
dim(data)
dim(data) <- c(source = 1, var = 1, dailyt = 3*31, lat = 5, lon = 6) 
data[1,1,,1,1]


> data[1,1,,1,1]
 [1]  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0
[26]  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0
[51]  0  0  0  0  0  0  0  0  0 NA NA NA  0  0  0  0  0  0  0  0  0  0  0  0  0
[76]  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0

