### First Load::s2dverification call

Two files has been saved from /esarchive/ using THREDDS: Catalog http://earth.bsc.es/thredds/catalog/exp/glosea5/glosea5c3s/monthly_mean/psl_f6h/catalog.html

A similar path to the two files has been created in my own /home/

First parameter definition:


```r
> glosea5 = list(name = 'glosea5', path = "/home/Earth/nperez/data/exp/glosea5/glosea5c3s/$STORE_FREQ$_mean/$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc")

> glosea5
$name
[1] "glosea5"

$path
[1] "/home/Earth/nperez/data/exp/glosea5/glosea5c3s/$STORE_FREQ$_mean/$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc"
```

Storing the data in a variable:

```r
data <- Load(var = 'psl', exp = list(glosea5), sdates = c('19930501', '19940501'), storefreq = 'monthly', output = "lonlat")

> str(data$mod)
 num [1, 1:14, 1:2, 1:7, 1:180, 1:360] 102420 102120 101910 101880 101990 ...
 - attr(*, "dimensions")= chr [1:6] "dataset" "member" "sdate" "ftime" ...
 ```
 
 
 
### Load examples from test of AemetEida branch on CSTools


```r
library(s2dverification)
reanal <- list(name = "erainterim", path = "/esarchive/recon/ecmwf/erainterim/$STORE_FREQ$_mean/$VAR_NAME$_f6h/$VAR_NAME$_$YEAR$$MONTH$.nc")
data <- Load(var = 'g500', obs = list(reanal), sdates = c('19931201'), output = 'lonlat', storefreq ='monthly', lonmin = coord$lonmin, lonmax = coord$lonmax, latmin = coord$latmin, latmax = coord$latmax, leadtimemin = 169, leadtimemax = 456) 
str(data)
dim(data$obs)

reanal <- list(name = "erainterim", path = "/esarchive/recon/ecmwf/erainterim/$STORE_FREQ$_mean/$VAR_NAME$_f6h/$VAR_NAME$_$YEAR$$MONTH$.nc")
data <- Load(var = 'g500', obs = list(reanal), sdates = c('19931201'), output = 'lonlat', storefreq ='monthly', leadtimemin = 1, leadtimemax = 1) 
```
 